#!/bin/bash
set -e
set -x

export ZAFL_PATH=git.zephyr-software.com:4567/allnp/zafl_umbrella/
export ZAFL_TAG=zafl:latest
export DOCKER_ZAFL=${ZAFL_PATH}${ZAFL_TAG}


do_login()
{

        # login to gitlab's docker registry as gitlab-user
        docker login $ZAFL_PATH -u gitlab-runner -p 84MyuSuDo4kQat4GZ_Zs  2> /dev/null
}


do_clean()
{
	rm -f *.deb
	scons -c
	docker logout $ZAFL_PATH || true
}

do_test()
{
	scons
	sudo dpkg -i *.deb
	# allow these to fail so we can clean up
	set +e
	docker run -v /bin:/in -v /tmp:/out $DOCKER_ZAFL /in/ls /out/ls.zafl
	local res1=$?
	/tmp/ls.zafl -l 
	set -e
	local res2=$?

	sudo apt-get remove libzafl -y

	if [[ $res1 != 0 ]] || [[ $res2 != 0 ]]; then
		exit 1
	fi

	
}


main()
{
	do_clean
	do_login
	do_test
	do_clean
	
}

main "$@"


